/*******************************************************************
*
*  DESCRIPTION: eNB
*
*  AUTHOR:    Victor Silva
*  
*
*  EMAIL: mailto://victorguidasilva@gmail.com
*
*  DATE: 14/6/2016
*
*******************************************************************/

#ifndef ENB_H
#define ENB_H

#define _USE_MATH_DEFINES
#include <iostream>
#include "Point.h"
#include <cmath>

using namespace std;

class eNB
{
	public:
		eNB(long ID, Point position, float power, long f);//constructor
		eNB();
		long getID(void);
		Point getPosition(void);
		float getPower(void);
		long getFreq(void);
		void setID(long ID);
		void setPosition(Point position);
		void setPower(float power);
		void setFreq(long f);
		

	private:
		long ID;
		Point position;
		float power;
		long f;
		
				
};

#endif // ENB_H
